## swift 2.7.0

=== debian/changelog ===
swift (2.7.0-9~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Mon, 18 Jul 2016 10:15:55 +0200

swift (2.7.0-9) unstable; urgency=medium

  * Ignore errors when trying to restart rsyslog service in postrm too
    (Closes: #830586)

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Jul 2016 09:14:29 +0200

swift (2.7.0-8) unstable; urgency=medium

  * Ignore errors when trying to restart rsyslog service and be more robust

 -- Ondřej Nový <onovy@debian.org>  Thu, 07 Jul 2016 16:06:46 +0200

swift (2.7.0-7) unstable; urgency=medium

  * Check for ring files before starting service (Closes: #829375)
  * Remove all swift directories on purge
  * Added missed example configs to docs
  * Use dh_installdocs -A for installing AUTHORS file
  * Added support for nodocs in DEB_BUILD_OPTIONS
  * Use dh-exec for installing configs
  * Use adm group for log directory
  * Log to /var/log/swift and not to generic logfile

 -- Ondřej Nový <onovy@debian.org>  Tue, 05 Jul 2016 23:24:04 +0200

swift (2.7.0-6) unstable; urgency=medium

  * Don't add user swift to adm group
  * d/{control,copyright}: Use my @debian.org email address

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Jun 2016 17:41:38 +0200

swift (2.7.0-5) unstable; urgency=medium

  * Bumped required version of python-setuptools to 20.6.8
  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools

 -- Ondřej Nový <novy@ondrej.org>  Tue, 14 Jun 2016 16:59:08 +0200

swift (2.7.0-4) unstable; urgency=medium

  * Bump required openstack-pkg-tools version to 45
  * Removed run depends on python-setuptools
  * Removed (build-)depends on python-paste, it's satisfied by
    python-pastedeploy
  * Added python-keystoneclient to Build-Depends-Indep

 -- Ondřej Nový <novy@ondrej.org>  Thu, 09 Jun 2016 08:40:52 +0200

swift (2.7.0-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * Use pkgos includes inside postinst
  * Sort inputs in d/rules to make build reproducible
  * Override false-positive Lintian: spelling-error-in-copyright Thier Their
  * Removed d/source/include-binaries, not needed anymore
  * Change directory to $ADTTMP before running Debian tests
  * wrap-and-sort -t -a
  * Added Documentation to systemd units

 -- Ondřej Nový <novy@ondrej.org>  Thu, 28 Apr 2016 21:33:07 +0200

swift (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Ignore errors when starting daemons during package install

 -- Ondřej Nový <novy@ondrej.org>  Mon, 04 Apr 2016 10:53:24 +0200

swift (2.7.0-1) experimental; urgency=medium

  * New upstream release
  * Support of multiple conf files in /etc/swift/*-server/ directories
  * Added dh-python build-depends
  * Bumped python-pyeclib required version
  * Enabled autostarting of all daemons

 -- Ondřej Nový <novy@ondrej.org>  Sun, 27 Mar 2016 23:24:34 +0200

swift (2.6.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Added Debian tests.
  * Removed swift-init.
  * Systemd support.
  * Added container-sync config files.
  * Changed all dependencies to same version of swift package.
  * Changed shell of "swift" user to /bin/false.
  * Add user "swift" to group "adm", not replace group list.
  * Standards-Version is 3.9.7 now (no change).
  * Fixed Vcs URL.

  [ Thomas Goirand ]
  * Added a backups folder in /etc/swift/backups which links back to
    /var/backups/swift.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 02 Mar 2016 16:42:53 +0100

swift (2.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]

  * New upstream release.
  * Removed useless shlibs dependency.
  * Watch file fixed.
  * Removed PyEClib requirements patching.
  * Removed simplejson dependency.
  * Bumbed eventlet and dnspython dependency to new versions.
  * Added python-os-testr build dependency.
  * Added git build dependency.
  * wrap-and-sort -t -a
  * Removed wrong systemd unit files.
  * Removed libjerasure2 build dependency.

  [ Ivan Udovichenko ]

  * d/rules: Fix config location for swift-object-expirer service.
  * d/control: Add Breaks field to swift-object-expirer package.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 20 Jan 2016 05:31:21 -0500
