=== debian/changelog ===
swift (2.7.1-0ubuntu2) xenial; urgency=medium

  * Fix issue where swift daemons crash while writing logs to a stopped
    rsyslogd /dev/log socket. (LP: #1683076)
    - d/patches/fix-infinite-recursion-logging.patch: Cherry-picked from
      upstream stable/newton branch to avoid infinite loops when logging
      while rsyslogd is stopped.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 22 May 2017 12:58:01 -0700

swift (2.7.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for Openstack Mitaka. (LP: #1668313)
  * d/patches/avoid-infinite-loop-while-placing-parts.patch: Dropped
    no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 12:59:47 -0500

swift (2.7.0-0ubuntu2.1) xenial; urgency=medium

  * d/p/avoid-infinite-loop-while-placing-parts.patch: Cherry-picked from
    upstream stable/mitaka branch to avoid infinite loop while placing parts
    (LP: #1642538).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Dec 2016 10:40:09 -0500

swift (2.7.0-0ubuntu2) xenial; urgency=medium

  * d/tests/swift-daemons: Set replica count for each ring to 1, resolving
    autopkgtest failure during rebalance operations.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Apr 2016 12:21:44 +0100

swift (2.7.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/p/drop-sphinx-git.patch: Rebased.
  * d/p/fix-doc-no-network.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 08 Apr 2016 09:02:57 -0400

swift (2.6.0-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream release for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/pyeclib-version.patch: Removed, fixed in upstream.
  * d/p/sphinx.patch: Remove git command to prevent build errors.

  [ Corey Bryant ]
  * d/p/sphinx.patch: Dropped in favor of adding git to BD's.
  * d/control: Add git to build-depends for sphinx-build.
  * d/control: Add python-cffi to BDs to fix failing tests.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Mar 2016 13:34:13 -0500

swift (2.5.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.
  * d/control,python-swift.postinst: Tidy lintian warning messages.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Oct 2015 06:16:59 -0700

swift (2.4.0-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - d/p/CVE-2015-1856.patch,
      d/p/fix-tempauth-acl-checks.patch,
      d/p/increase-httplib-maxheaders.patch,
      d/p/x-auth-token-should-be-bytestring.patch:
      Dropped, included upstream.
  * Align (build-)depends with upstream, wrap-and-sort.
  * d/p/pyeclib-version.patch: Specify minimum bound for pyeclib only.
  * Install new swift-object-reconstructor and swift-ring-builder-analyzer
    binaries.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 13:00:03 +0100

swift (2.2.2-0ubuntu1.3) vivid-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: object deletion via x-versions-location container
    - debian/patches/CVE-2015-1856.patch: prevent unauthorized delete in
      swift/proxy/controllers/obj.py, added tests to
      test/functional/tests.py.
    - CVE-2015-1856

  [ Jamie Strandboge ]
  * debian/patches/x-auth-token-should-be-bytestring.patch: update for
    functional test suite
  * debian/patches/fix-tempauth-acl-checks.patch: fix tempauth acl checks when
    simplejson has no speedups
  * debian/patches/increase-httplib-maxheaders.patch: fix testuite and
    increase httplib._MAXHEADERS

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 30 Jul 2015 12:24:47 -0500
